package net.shadowfacts.asmr.program

import net.minecraft.util.Identifier

/**
 * @author shadowfacts
 */
class ProgramBlockInput<Type: Any>(
		val identifier: Identifier,
		val type: ProgramType<Type>,
		val block: ProgramBlock,
		var source: ProgramBlockOutput<Type>? = null
) {

	val value: Type?
		get() = source?.value

}
