package net.shadowfacts.asmr.program

/**
 * @author shadowfacts
 */
abstract class ExecutableBlock: ProgramBlock() {

	open val executionFlow = ExecutionFlow()

	abstract fun execute()

	fun linkNext(next: ExecutableBlock) {
		executionFlow.next = next
		next.executionFlow.prev = this
	}

}