package net.shadowfacts.asmr.program

import net.shadowfacts.cacao.geometry.Point

/**
 * @author shadowfacts
 */
abstract class ProgramBlock {

	var position: Point = Point.ORIGIN

	abstract val inputs: Array<ProgramBlockInput<*>>
	abstract val outputs: Array<ProgramBlockOutput<*>>

}